Log in to reply
 

New to modding, question about "The mods folder" notification message in OpenIV



  • Hey all,

    New to GTA V and to modding the game. I've read the quick start guide here, and have installed the essentials.

    I just downloaded the Enhanced Night Sky mod and am following the install instructions:

    1. Open "OpenIV"
    2. Navigate to GTAV/x64a.rpf/textures
    3. Enable "Edit Mode" (top right button)
    4. Replace the "skydome.ytd" with the modded file.
    5. Done!

    In OpenIV, when in edit mode and replacing the skydome.ytd file as per step 4 above, there is a red notification message in OpenIV:

    The mods folder
    The archive you are currently editing is not located in "mods" folder.
    Copy to mods folder/Change mods folder settings

    Unsure what to do here, if anything. I did create a mods folder in my GTAV main folder but there's nothing in the install instructions for Enhanced Night Sky that prompt me to install the mod to that folder. Instead, it's just replacing a vanilla file w/ the tweaked one for the mod.

    Can anyone assist by letting me know if I am good to go as is or if I need to copy the file to the mods folder?

    Thanks!



  • @peppergomez You are way off. First, NEVER edit vanilla rpfs....it will BREAK your game.

    In your root directory - were gta5.exe is, create a folder, naming it "mods" WITHOUT the quotes, and all lower-case letters.

    In the mods folder, you "mirror" the archives, so you will COPY the update folder and ALL rpfs - x64a.rpf through x64w.rpf to your mods folder. Anytime you are modding, all mods will go to whatever rpf the readmes tell you it goes. So if a said mod goes to x64a.rpf, then it would actually go to /mods/x64a.rpf.

    There is something else.That mod you mentioned is a bit dated. Any texture edits should now go to mods/update/update.rpf/textures



  • Thanks a lot for the info, will do



  • @eshenk I only copy the rpfs that are going to be modded over. Otherwise the mods folder takes up more space than it needs to.



  • This post is deleted!


  • @peppergomez everything in update rpf/x64 is also a mirror of all x64 directories. So for example skydome would be installed to update rpf/x64/textures and it will be loaded instead of x64a/textures. Same with other files like weathefx.



  • But the key concpet here is that they are not saved in the main GTA V game directory folder, but instead into a "mods" subfolder that I create?



  • @peppergomez always mods folder



  • @peppergomez In Open IV options go to the "mods" folder tab and check the box that says Allow edit mode only for archives inside the "mods" folder. That way when you select a vanilla archive outside the mods folder it will ask if you want to copy it to the mods folder if it's not already there. If it is already there instead it will say "show in mods" or some such.



  • Hmm this isn't encouraging. I uninstalled GTA V so I would start again clean from scratch. Game is updated to latest version (1868).

    I then reinstalled it, ran it vanilla to make sure it played fine, then followed the advice here (https://www.rockpapershotgun.com/2019/01/31/how-to-install-gta-5-mods/) to install Script Hook V, the GTAV LUA Plugin, and then installed OpenIV. I created a "mods" folder.

    I then installed just one mod, the FOV changer (https://www.gta5-mods.com/misc/gta-v-fov-v1-11), as per its instructions.

    Launched GTAV and it crashes immediately after the intro splash screen appears.

    Rebooted and tried again, same result.

    Removed the fov.ini and dsound.dll files from that mod from my main GTAV folder, then in Steam validated the local GTAV files. Restarted the game and it runs fine.

    I followed the install instructions exactly, though my comp would not install the vc_redist.x64.exe in the mod because I have a newer version on my system already.

    Can anyone help me out here, totally new to this?

    Thanks.



  • @peppergomez Don't use the FOV mod. Its been broken for a while. Use extended camera settings for FOV changes. Look for a video posted in the comments to get FOV to work with the new update.



  • @peppergomez Generally redistributables like vc_redist.x64 don't need to be installed.

    Also, LUA isn't needed unless you are going to use an LUA mod, of which there's not very many.

    That article you followed is over a year old. Things are probably different by now.


Log in to reply
 

Looks like your connection to GTA5-Mods.com Forums was lost, please wait while we try to reconnect.